# Class ELParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jakarta.servlet.jsp.el.ELException
jakarta.servlet.jsp.el.ELParseException

All Implemented Interfaces:
  `Serializable`

@Deprecated public class ELParseException extends ELException
Deprecated.
As of JSP 2.1, replaced by jakarta.el.ELException
Represents a parsing error encountered while parsing an EL expression.

Since:
  JSP 2.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ELParseException()`
  Deprecated.
  Creates an ELParseException with no detail message.
  `ELParseException(String pMessage)`
  Deprecated.
  Creates an ELParseException with the provided detail message.

- ## Method Summary

  ### Methods inherited from class jakarta.servlet.jsp.el.ELException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ELParseException

    public ELParseException()
    Deprecated.
    Creates an ELParseException with no detail message.

  - ### ELParseException

    public ELParseException(String pMessage)
    Deprecated.
    Creates an ELParseException with the provided detail message.
    Parameters:
      `pMessage` - the detail message